Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158692 - lvm2 changes for RHEL4 U2
Summary: lvm2 changes for RHEL4 U2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Depends On: 158687 159669
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-24 21:23 UTC by Alasdair Kergon
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2005-592
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 15:42:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:592 qe-ready SHIPPED_LIVE lvm2 bug fix and enhancement update 2005-10-05 04:00:00 UTC

Description Alasdair Kergon 2005-05-24 21:23:59 UTC
Created to track lvm2-related changes for RHEL4 U2 prior to writing the erratum.

Comment 1 Alasdair Kergon 2005-05-24 21:26:15 UTC
1. Fix hard-coded 65k metadata buffer size.  [158687]

Comment 2 Alasdair Kergon 2005-05-24 21:27:50 UTC
2. Add --ignorelockingfailure to vgmknodes.  Included in 2.01.09.

Comment 4 Alasdair Kergon 2005-05-24 21:36:05 UTC
The following items from 2.01.10 should be included:

3. Move from 2-step to 3-step on-disk metadata commit.

4. Don't create backup and archive dirs till needed.

5. Reinstate full PV size when removing from VG.

6. Support loopfiles for testing.

7. Internal snapshot restructuring.

8. Remove unused internal non-persistent snapshot option.


Comment 5 Alasdair Kergon 2005-05-24 21:43:07 UTC
The following items from (not-yet-released) 2.01.11 should be included:

9. Fix non-orphan pvchange -u.

10. Fix vgmerge to handle duplicate LVIDs.

11. vgscan/change/display/vgs automatically create metadata backups if needed.

12. Simplify pv_maps code and remove slow bitset algorithm.

13. Fix loopfiles alias alloc & mem debugging. [A fix to item 6 above.]

[Some of the other items in the WHATS_NEW file will also get included to support
the items above, but they don't need mentioning separately in the erratum text.]

Comment 7 Alasdair Kergon 2005-06-08 14:19:06 UTC
Item 1 will be fixed in 2.01.11.

Also to be in 2.01.11:

14. Make VG and LV name restrictions consistent.  Names like '.' and '..' don't
work and the tools now stop you using them.  The strings "_mlog" and "_mimage"
can no longer be included in the names of LVs.

15. New '--all' flag added to the 'lvs' and 'vgs' reports.  Without this,
internal LVs are no longer included in the output.  When they are displayed,
their names are enclosed in square brackets.

16. New sanity checks introduced to detect internal coding errors before writing
updated metadata to disk.

17. Reorganise the allocation algorithms to prepare to support mirroring.

18. Support tiny metadata areas to allow for simple metadata conversions from
the GFS 'pool' format.



Comment 11 Alasdair Kergon 2005-06-13 14:24:32 UTC
19. Use selinux matchpathcon 'mode' parameter.  device-mapper package also
needed rebuilding because selinux support got dropped inadvertently.  [bug 159669]

Comment 15 Alasdair Kergon 2005-08-16 14:11:29 UTC
2.0.14 in the release:

20. Prevent snapshots from getting activated in a clustered VG.
21. Fix pool format handler to work with pv segment code (a bug introduced in
this release).


Comment 16 Red Hat Bugzilla 2005-10-05 15:42:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-592.html



Note You need to log in before you can comment on or make changes to this bug.